<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_a7a98b53d82ba821" . "23bc4047484cd742" => base64_decode("Y29tbW9uLmRvY3VtZW" . "50X2NvbnZlcnRlci5u" . "b19jb252ZXJ0ZXJz"), "_31767d7ad58e706dbf47b7a51a0" . "fe6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_b8323c396da" . "910cd2da11d4" . "d0985e9c5" => base64_decode("aXNfc" . "nVubm" . "luZw=" . "="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1zZw" . "=="), "_2351a63ea5f1aa926b0753b" . "192e8d841" => base64_decode("RmFpbGVkIHRvIGNvbnZlcn" . "Qg"), "_ba3845cb79c005cf3269af8c83dd" . "be5e" => base64_decode("ZXJyb3" . "I="), "_946c6fe2025cf682630afe8f8cdf" . "5861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlc" . "nRlci51bmtub3duX2Vycm9y"), "_77317902a2c903eaeed66" . "f6a366de08b" => base64_decode("ZXhjZXB0aW" . "9uX21lc3Nh" . "Z2U="), "_5e905cea5856ef40d35ea1e" . "daf185d1b" => base64_decode("IHVzaW5" . "nIA=="), "_20b3ce3ff928713aae242171" . "3e60898a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVyLmVycm9" . "yLmNvdWxkX25vdF9jb25uZWN0"), "_6dc023075e7b7a1" . "0fcc37e2d1b69103" . "3" => base64_decode("IH" . "Rv" . "IA" . "=="), "_b0e753deb" . "9741c6e9b3" . "d17cac47b5" . "dc5" => base64_decode("Tm8gYXZhaWxhYm" . "xlIERvY3VtZW50" . "IENvbnZlcnRlcn" . "MgdG8gdXNlLg=="));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b0e753deb9741c6e9" . "b3d17cac47b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_31767d7ad58e706d" . "bf47b7a51a0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_946c6fe2025cf682630afe8f8cdf58" . "61"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2351a63ea5f1aa926b0" . "753b192e8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6dc023075e7b7a10fcc" . "37e2d1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_5e905cea58" . "56ef40d35ea" . "1edaf185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_77317902a" . "2c903eaeed" . "66f6a366de" . "08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_a7a98b53d82ba82123bc4047484cd74" . "2"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b8323c396da910" . "cd2da11d4d0985e" . "9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ba3845c" . "b79c005c" . "f3269af8" . "c83ddbe5" . "e"]] = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_20b3ce3ff928713aae2421713e608" . "98a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}